1. tunez23's Avatar
    I have been unlocking and jailbreaking my own Iphones since they came out. I now have another 3GS 32gb that I just bought as well as my other 3GS 16gb and 2G 16gb that my wife carries. What I want to do is to basically redo all of the phones so that I can carry the 32gb 3GS phone, give my wife the 16gb 3GS, and unlock and sell the 2G.

    There seem to be about 9 million articles and posts out there now detailing different ways to go about re-jailbreaking and unlocking them and I am honestly lost as for which way is the safest and best route. All three phones are now sitting at 3.1.2 and all jailbroken and unlocked.

    Can anyone point me in a direction so I don't screw the pooch on getting this all done?
    2010-03-24 09:09 PM
  2. l0k0's Avatar
    3.1.3 custom firmware on both of the 3GS. So it will keep ur baseband that u have now, and still be unlockable. As for thee 2G, i have no clue on that one. But the custom firmware 3.1.3 will definitely work on the 3GS u have.
    2010-03-24 09:29 PM
  3. dhamien's Avatar
    3.1.3 custom firmware on both of the 3GS. So it will keep ur baseband that u have now, and still be unlockable. As for thee 2G, i have no clue on that one. But the custom firmware 3.1.3 will definitely work on the 3GS u have.
    This is incorrect. OP said he just bought the new phone meaning it has the new bootrom which again means that he can't use custom firmwares. The other 3GS might very well also be a new bootrom phone.

    If you restore a custom firmware to a new bootrom phone, you'll likely mess it up, forcing you to upgrade to stock 3.1.3
    2010-03-24 09:38 PM
  4. Poseidon79's Avatar
    The two 3GS phones... are they jailbroken with a tethered or untethered jailbreak?
    2010-03-24 09:42 PM
  5. tunez23's Avatar
    @l0k0, Will look into that.

    @dhamien, I just bought it used from a friend and it was already jailbroken to 3.1.2

    @Poseidon79, I have heard the term but I'm not sure what that means. If I am understanding what I am reading though, it is untethered because I can just reboot them on the fly without re-doing BlackRain or anything special.
    2010-03-25 12:11 AM
  6. l0k0's Avatar
    @Poseidon79, I have heard the term but I'm not sure what that means. If I am understanding what I am reading though, it is untethered because I can just reboot them on the fly without re-doing BlackRain or anything special.
    If this is the case, then chances are u are on the old boot rom 3Gs. in that case, the custom 3.1.3 will definitely work for you. And i still have no clue about the 2G, LoL (too old for me).
    2010-03-25 01:32 AM
  7. dhamien's Avatar
    If this is the case, then chances are u are on the old boot rom 3Gs. in that case, the custom 3.1.3 will definitely work for you. And i still have no clue about the 2G, LoL (too old for me).
    +1

    If OP can boot without needing to run blackra1n, it is indeed an old bootrom.
    2010-03-25 12:53 PM
  8. tunez23's Avatar
    That being said, can someone point me to a post that tells how to do the custom 3.1.3? Sorry for the late reply as well. Everytime I have viewed the post it kept locking up.

    Thank you guys VERY much for the guidance as well!!!
    2010-03-25 11:04 PM
  9. waheedtarin's Avatar
    Download sn0wbreze 1.4 choose the 3.1.3 firmware click simple and unlock then wait for it to build then open iTunes hold shift and click on restore while holding shift key then find the custom file you made and wait for it to upgrade and then your done but I don't recomend you up grade no diffrence between 3.1.2 and new version
    2010-03-26 01:46 AM
  10. tunez23's Avatar
    I would rather be on 3.1.2 but I am not sure how to go that route. If the above works fine then a few apps I have seen have been pushed over to 3.1.3 and I can just do what you recommended.

    OK, learning a bit here as I go and I also want to say thank you guys for your help and patient!!

    I tried going to route with sn0wbreze but when i got to the part where it asks about BlackSn0w and BootNeuter, I select BlackSn0w and it said:

    "Blacksn0w is not compatible with 5.11.07 baseband due to the way BlackSn0w hooks comm center. If you use Blacksn0w, it is HIGHLY suggested that you remain on 3.1.2"

    I didn't want to make a stupid decision there so I stopped. I don't mind being on 3.1.2 but at the same time due to a few apps I have ran into, I also don't mind being on 3.1.3. My main concern here is the safety of the phone and if that means sticking with 3.1.2 then I am ALL for that!

    Both of the 3GS phones are done with Blacksn0w and both are at
    Version 3.1.2 (7D11) and Modem Firmware 05.11.07 if that makes a difference.
    Last edited by tunez23; 2010-03-26 at 07:24 PM. Reason: Automerged Doublepost
    2010-03-26 07:24 PM
  11. dhamien's Avatar
    The error is because of blacksn0w not working with 3.1.3 - so if you need the unlock, you're forced to stay at 3.1.2
    2010-03-27 02:19 AM
  12. tunez23's Avatar
    OK, so is there a way to do a restore in my situation with what I have? The phone I bought from a friend is full of his stuff that I don't need.
    2010-03-27 04:53 AM
  13. j3st3r's Avatar
    you can google a custom 3.1.2 ipsw made with pwnagetool and restore to that...then use blacksn0w to unlock
    2010-03-27 10:59 AM
LINK TO POST COPIED TO CLIPBOARD